Skip to main content
GET
/
api
/
v1
/
alerts
/
fixes
/
{fixId}
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/alerts/fixes/{fixId}
import requests

url = "https://api.staging.qyl.dev/api/v1/alerts/fixes/{fixId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/alerts/fixes/{fixId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "issue_id": "<string>",
  "strategy": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "alert_firing_id": "<string>",
  "model_name": "<string>",
  "model_provider": "<string>",
  "error_message": "<string>",
  "tokens_used": 123,
  "duration_ms": 123,
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}
{
  "type": "about:blank",
  "title": "Not Found",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "resource_type": "<string>",
  "resource_id": "<string>"
}
{
  "type": "about:blank",
  "title": "Internal Server Error",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "error_code": "<string>"
}

Path Parameters

fixId
string
required

Response

The request has succeeded.

AI-assisted fix attempt

id
string
required

Fix run ID

issue_id
string
required

Target issue

trigger_type
enum<string>
required

What triggered the fix

Available options:
alert,
manual,
mcp,
scheduled
strategy
string
required

Fix strategy

status
enum<string>
required

Fix run status

Available options:
pending,
running,
awaiting_approval,
applied,
rejected,
failed
created_at
string<date-time>
required

Creation timestamp

alert_firing_id
string

Triggering alert firing

model_name
string

AI model used

model_provider
string

AI provider

error_message
string

Error message if failed

tokens_used
integer<int32>

Tokens consumed

duration_ms
integer<int32>

Duration in milliseconds

started_at
string<date-time>

Start timestamp

completed_at
string<date-time>

Completion timestamp